For the complete documentation index, see llms.txt. This page is also available as Markdown.

System Status API

Provides system information including features, license period and validity of the running Connectware instance

get
Authorizations
AuthorizationstringRequired
Responses
200

Success

application/json
timestringRequired
versionstringRequired
get/system/info
GET /api/system/info HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Success

{
  "time": "text",
  "version": "text",
  "license": {
    "name": "text",
    "file": {
      "id": "text",
      "associatedAccount": "text",
      "connectwareLicenseClass": "text",
      "expiration": "2026-01-01"
    },
    "valid": true
  }
}

Retrieve preflight information

get
Authorizations
AuthorizationstringRequired
Responses
200

Success

application/json
get/system/preflight
GET /api/system/preflight HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Success

{
  "dockerHub": {
    "status": true,
    "statusText": "text",
    "url": "text"
  },
  "cybusRegistry": {
    "status": true,
    "statusText": "text",
    "url": "text"
  },
  "cybusPortal": {
    "status": true,
    "statusText": "text",
    "url": "text"
  },
  "currentVersions": {
    "series": {
      "active": {
        "latest": {
          "version": "text",
          "urlReleaseNotes": "text",
          "installerUrl": "text"
        }
      }
    }
  }
}

Upload licensefile

put
Authorizations
AuthorizationstringRequired
Body
payloadstringRequired
Responses
200

Success

application/json
timestringOptional
versionstringOptional
put/system/licensefile
PUT /api/system/licensefile HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "payload": "text"
}
{
  "time": "text",
  "version": "text",
  "license": {
    "name": "text",
    "file": {}
  }
}

"Endpoint to trigger a refresh of the Connectware license file with the Cybus Portal"

get
Authorizations
AuthorizationstringRequired
Responses
200

Success

application/json
timestringOptional
versionstringOptional
get/system/refresh
GET /api/system/refresh HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "time": "text",
  "version": "text",
  "license": {
    "name": "text",
    "file": {}
  }
}

"Endpoint to fetch health data of system container and later service container"

get
Authorizations
AuthorizationstringRequired
Responses
200

Success

application/json
get/system/health
GET /api/system/health HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "system": {
    "status": [
      {
        "name": "text",
        "status": "text",
        "uptime": "text"
      }
    ]
  }
}

"Endpoint to fetch VRPC health data"

get
Authorizations
AuthorizationstringRequired
Responses
200

Success

application/json
get/system/vrpcHealth
GET /api/system/vrpcHealth HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Success

{
  "agentStatus": {
    "agentName": "text",
    "status": "text"
  },
  "VRPCInterServiceCommunication": [
    {
      "agentName": "text",
      "providers": [
        {
          "providerName": "text",
          "reachable": true,
          "functionalityAffectedIfFailed": [
            "text"
          ]
        }
      ]
    }
  ]
}

Provides system metrics for the running Connectware instance

get
Authorizations
AuthorizationstringRequired
Query parameters
hourlybooleanOptional
dailybooleanOptional
Responses
200

Success

application/json
get/system/metrics
GET /api/system/metrics HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "hourly": [
    {
      "timestamp": "2026-01-01",
      "numberOfConnectedDatapoints": 1,
      "numberOfReceivedMessages": 1
    }
  ],
  "daily": [
    {
      "date": "text",
      "numberOfConnectedDatapoints": 1,
      "numberOfReceivedMessages": 1
    }
  ]
}

Trigger to send metrics to the portal

put
Authorizations
AuthorizationstringRequired
Responses
200

Success

application/json
objectOptional
put/system/metrics
PUT /api/system/metrics HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{}

Provides the system's agents for the running Connectware instance

get
Authorizations
AuthorizationstringRequired
Responses
200

Success

application/json
namestringRequired
statusstringRequiredDeprecated
versionstringRequired
hostnamestringRequired
get/system/agents
GET /api/system/agents HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "name": "text",
    "version": "text",
    "hostname": "text",
    "classes": {
      "ANY_ADDITIONAL_PROPERTY": {
        "instances": [
          "text"
        ]
      }
    }
  }
]

"List all available apps from portal according to the current Connectware license"

get
Authorizations
AuthorizationstringRequired
Responses
200

Success

application/json
categorystringRequired
isTemplatebooleanRequired
directorystringRequired
filenamestringRequired
namestringRequired
descriptionstringRequired
homepagestringRequired
iconstringOptional
versionstringRequired
providerstringRequired
availableInLicensebooleanRequired
publiclyOfferedbooleanOptional
createdAtstringOptional
updatedAtstringRequired
get/marketplace/apps
GET /api/marketplace/apps HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Success

[
  {
    "category": "text",
    "isTemplate": true,
    "directory": "text",
    "filename": "text",
    "name": "text",
    "description": "text",
    "homepage": "text",
    "icon": "text",
    "version": "text",
    "provider": "text",
    "availableInLicense": true,
    "publiclyOffered": true,
    "createdAt": "text",
    "updatedAt": "text"
  }
]

"Fetch app information with given name from portal"

get
Authorizations
AuthorizationstringRequired
Query parameters
directorystringRequired
filenamestringRequired
Responses
200

Success

application/json
datastringRequired
get/marketplace/app
GET /api/marketplace/app?directory=text&filename=text HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": "text"
}

"Fetch app meta information with given name from portal"

get
Authorizations
AuthorizationstringRequired
Query parameters
directorystringRequired
filenamestringRequired
Responses
200

Success

application/json
get/marketplace/app/meta
GET /api/marketplace/app/meta?directory=text&filename=text HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "content": {
    "data": "text"
  },
  "meta": {
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "version": "text"
  }
}

Last updated

Was this helpful?